Favicon

You are here: Home > API Reference > Apple > Apple Dep Devices > Sync transaction info

Sync transaction info

Required Permission: mdm.apple.depDevice.sync

Sync transaction info

GET
/v1/organizations/:organizationId/mdm/apple/enterprise/dep/devices/sync-transaction/:admDepSyncTransactionId
Copy to clipboard

Sync transaction info

Required Permission: mdm.apple.depDevice.sync

Sync transaction info

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDepSyncTransactionId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
organizationInfo object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
slug string optional
≤ 128 characters · ≥ 3 characters · Match pattern: ^[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]$
store object optional
customDomain string optional
≤ 256 characters
branding object optional
logo string optional
≤ 256 characters
picture string optional
primaryColor string optional
Match pattern: ^#[a-zA-Z0-9]{6}$
configuration object optional
storageProvider string optional
Match pattern: ^[a-fA-F0-9]{24}$
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
admEnterpriseId string optional
Match pattern: ^[a-fA-F0-9]{24}$
action string optional
sync syncAll
status string optional
pending processing processed errored
origin string optional
manual auto
processInfo object optional
updated number optional
Format: float
created number optional
Format: float
deleted number optional
Format: float
none number optional
Format: float
error string optional
≤ 256 characters
times object optional
queued number optional
Format: float
execution number optional
Format: float
total number optional
Format: float
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": {
        "id": "string",
        "organizationInfo": {
            "id": "string",
            "name": "string",
            "slug": "string",
            "store": {
                "customDomain": "string"
            },
            "branding": {
                "logo": "string",
                "picture": "string",
                "primaryColor": "string"
            },
            "configuration": {
                "storageProvider": "string"
            },
            "createdBy": "string"
        },
        "admEnterpriseId": "string",
        "action": "sync",
        "status": "pending",
        "origin": "manual",
        "processInfo": {
            "updated": 0,
            "created": 0,
            "deleted": 0,
            "none": 0
        },
        "error": "string",
        "times": {
            "queued": 0,
            "execution": 0,
            "total": 0
        },
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}